%global apiversion     0.3
%define lib_major       3
%define lib_name        %mklibname wpg %{apiversion} %{lib_major}
%define lib_name_devel  %mklibname -d wpg

Name: libwpg
Epoch: 1
Version: 0.3.1
Release: %mkrel 2
Summary:  A library for import of WordPerfect Graphics images
Group: System/Libraries
License:       LGPLv2+ or MPLv2.0
URL:            http://libwpg.sourceforge.net/
Source0:        http://download.sourceforge.net/libwpg/%{name}-%{version}.tar.xz
BuildRequires: doxygen
BuildRequires: help2man
BuildRequires: perl(Getopt::Std)
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(libwpd-0.10)

%description
%{name} is a library for import of images in WPG
(WordPerfect Graphics) format. WPG is the format used among others in
Corel software, such as WordPerfect and Presentations.

%package -n %{lib_name}
Summary:  A library for import of WordPerfect Graphics images
Group: System/Libraries
Obsoletes: %{_lib}wpg-0.2_2 < 1:0.2.1-2

%description -n %{lib_name}
%{name} is a library for import of images in WPG
(WordPerfect Graphics) format. WPG is the format used among others in
Corel software, such as WordPerfect and Presentations.

%package -n %{lib_name_devel}
Summary: Files for developing with libwpg
Group: Development/C++
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Provides: libwpg-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_name_devel}
The %{lib_name_devel} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Development/C++
BuildArch: noarch
Obsoletes: %{name}-doc
Provides: %{name}-doc

%description doc
The %{name}-doc package contains API documentation for %{name}.

%package tools
Summary: Tools to convert WordPerfect Graphics images to other formats
Group: Publishing
# wpg2svgbatch.pl says "GPL", without specifying version, and points to
# http://www.gnu.org/copyleft/gpl.html . I assume this means "any
# version".
License:        (LGPLv2+ or MPLv2.0) and GPL+

%description tools
Tools to convert WordPerfect Graphics images to other formats. Supported
are: SVG, raw.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -rf %{buildroot}/%{_libdir}/libwpg*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

# generate and install man pages
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wpg2raw wpg2svg; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
help2man -N -S '%{name} %{version}' -n 'batch convert WordPerfect Graphics files into SVG' \
    --help-option=-h --version-string='wpg2svgbatch.pl %{version}' \
    -o wpg2svgbatch.pl.1 ./src/conv/svg/wpg2svgbatch.pl
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 wpg2*.1 %{buildroot}/%{_mandir}/man1

%files -n %{lib_name}
%doc AUTHORS NEWS
%license COPYING.LGPL COPYING.MPL
%{_libdir}/libwpg-%{apiversion}.so.%{lib_major}
%{_libdir}/libwpg-%{apiversion}.so.%{lib_major}.*

%files -n %{lib_name_devel}
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%license COPYING.LGPL COPYING.MPL
%doc docs/doxygen/html

%files tools
%{_bindir}/wpg2raw
%{_bindir}/wpg2svg
%{_bindir}/wpg2svgbatch.pl
%{_mandir}/man1/wpg2raw.1*
%{_mandir}/man1/wpg2svg.1*
%{_mandir}/man1/wpg2svgbatch.pl.1*



%changelog
* Mon Sep 19 2016 tv <tv> 1:0.3.1-2.mga6
+ Revision: 1054265
- fix license
- add man pages
- we install API docs directly from build
- rename docs -> doc
- use %%license

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1:0.3.1-1.mga6
+ Revision: 917792
- 0.3.1

* Sat Nov 28 2015 neoclust <neoclust> 1:0.3.0-5.mga6
+ Revision: 906820
- Rebuild on ARM

* Wed Aug 26 2015 tv <tv> 1:0.3.0-4.mga6
+ Revision: 869863
- rebuild with gcc5

* Wed Oct 15 2014 umeabot <umeabot> 1:0.3.0-3.mga5
+ Revision: 742056
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.3.0-2.mga5
+ Revision: 681861
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 1:0.3.0-1.mga5
+ Revision: 658694
- new release
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1:0.2.2-2.mga4
+ Revision: 527510
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 1:0.2.2-1.mga4
+ Revision: 440450
- update doc
- new version 0.2.2

* Sat Jan 19 2013 fwang <fwang> 1:0.2.1-3.mga3
+ Revision: 389664
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 06 2011 fwang <fwang> 1:0.2.1-2.mga2
+ Revision: 177330
- spec clean up

* Tue Dec 06 2011 fwang <fwang> 1:0.2.1-1.mga2
+ Revision: 177320
- disable static
- new version 0.2.1

* Sun Jan 23 2011 dmorgan <dmorgan> 1:0.2.0-5.mga1
+ Revision: 33526
- Remove mdv macros
- New version 0.2.0  Needed by libreoffice
- imported package libwpg

